Subject: RE: [Sipping] Re: Update: dialogusage

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Thu, 23 Mar 2006 21:43:38 +0100

Hi,

You don't send rel18x for UPDATE, do you?

Regards,

Christer 

-----Original Message-----
From: Robert Sparks [mailto:[email-masked]] 
Sent: 23. maaliskuuta 2006 22:27
To: Christer Holmberg (JO/LMF)
Cc: Paul Kyzivat; sipping WG
Subject: Re: [Sipping] Re: Update: dialogusage

UPDATE plays here too.

On Mar 23, 2006, at 2:19 PM, Christer Holmberg ((JO/LMF)) wrote:

>
> Hi,
>
>>> Q4: You say that a target refresh is updated when a 200 OK is 
>>> sent/received for the target refresh request. What if I use reliable

>>> 18x responses for a target refresh re-INVITE request? Do I send the 
>>> PRACK according to the old target? In order to avoid yet another 
>>> can-I-send-18x-responses-to-a-reINVITE-request discussion I would 
>>> propose that we somehow change the wording to something that also 
>>> covers reliable 18x responses.
>>>
>> I don't recall at the moment how clear things are that the target
> refresh takes effect at the 200. Logically I think it
>> has to be this way, because it would make little sense to have the
> target refresh take effect on a reliable 1xx and then >have the 
> request fail.
>
> So, you are saying that PRACKs, or whatever other request may be sent 
> AFTER a rel18x has been received, but BEFORE 200 has been received, 
> should use the old target?
>
> Or, should it use some kind of a "temporary target"? I think we do 
> that already for the INITIAL INVITE, in case the UAC from the same UAS

> receive different Contact header values in the rel18x and 200 OK...
>
> I agree with you that if a non-200 final response is received, the 
> target which was used before the request was sent should be the valid 
> one - no matter how many rel18x you may have received. The question is

> what is valid between the request and the final response :)
>
> Regards,
>
> Christer
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Robert Sparks <[email-masked]>
Date: Thu, 23 Mar 2006 14:51:00 -0600

No, but you can have an UPDATE/200 between an INVITE and its 4xx.

RjS